VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR:
[legend]

## Public Member Functions

| operator VkDisplayPlaneCapabilities2KHR const & () const
| operator VkDisplayPlaneCapabilities2KHR & ()
bool | operator== (DisplayPlaneCapabilities2KHR const &rhs) const
bool | operator!= (DisplayPlaneCapabilities2KHR const &rhs) const

## Data Fields

void * | pNext = nullptr
DisplayPlaneCapabilitiesKHR | capabilities

## Private Attributes

StructureType | sType = StructureType::eDisplayPlaneCapabilities2KHR

## Detailed Description

Definition at line 29250 of file vulkan.hpp.

## Member Function Documentation

## operator VkDisplayPlaneCapabilities2KHR &()

VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::operator VkDisplayPlaneCapabilities2KHR & | ( |  | ) |

inline

Definition at line 29257 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayPlaneCapabilities2KHR*>(this);
}

## operator VkDisplayPlaneCapabilities2KHR const &()

VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::operator VkDisplayPlaneCapabilities2KHR const & | ( |  | ) | const

inline

Definition at line 29252 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayPlaneCapabilities2KHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::operator!= | ( | DisplayPlaneCapabilities2KHR const & | rhs | ) | const

inline

Definition at line 29269 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::operator== | ( | DisplayPlaneCapabilities2KHR const & | rhs | ) | const

inline

Definition at line 29262 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( capabilities == rhs.capabilities );
}

References capabilities, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## capabilities

DisplayPlaneCapabilitiesKHR VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::capabilities

Definition at line 29279 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::pNext = nullptr

Definition at line 29278 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::sType = StructureType::eDisplayPlaneCapabilities2KHR

private

Definition at line 29275 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::sType
StructureType sType
Definition: vulkan.hpp:29275
VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::capabilities
DisplayPlaneCapabilitiesKHR capabilities
Definition: vulkan.hpp:29279
VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::pNext
void * pNext
Definition: vulkan.hpp:29278
VkDisplayPlaneCapabilities2KHR
Definition: vulkan_core.h:5845
VULKAN_HPP_NAMESPACE::DisplayPlaneCapabilities2KHR::operator==
bool operator==(DisplayPlaneCapabilities2KHR const &rhs) const
Definition: vulkan.hpp:29262